
Application: gvSIG desktop - gvSIG bugs #1443
Wrong output format in GetFeatureInfo WMS Requests
12/03/2012 02:01 PM - Víctor Centella Fuster

Status: Closed % Done: 0%
Priority: High Spent time: 0.00 hour
Assignee: Ignacio Brodín
Category: WMS
Target version: 2.0.0-rc2
Severity: Add-on version:
gvSIG version: 2.0.0 Add-on build:
gvSIG build: 2060 Add-on resolve version:
Operative System: Windows Add-on resolve build:
Keywords: WMS, GetFeatureInfo Proyecto:
Has patch: No Hito:
Add-on name: Unknown
Description

When performing a GetFeatureInfo to a WMS Service, selecting "html" as the output format for the results, the GetFeatureInfo output
is saved on the hard disk as a .xml file, so the result on the gvSIG info window is not correctly formatted (attached wms_info_txt.jpg),
which should show the results as the following URL: 
http://www.ign.es/wms-inspire/ign-base?SERVICE=WMS&#38;&#38;REQUEST=GetFeatureInfo&#38;SERVICE=WMS&#38;QUERY
LAYERS=IGNBaseTodo&#38;VERSION=1.3.0&#38;INFO_FORMAT=text/html&#38;LAYERS=IGNBaseTodo&#38;SRS=EPSG:25830&#38;BBOX=669368.7473812546,4314592.28662324,769023.5816235179,4402098.722024542&#38;WIDTH=525&#38;HEIGHT=4
0&#38;BBOX=669368.7473812546,4314592.28662324,769023.5816235179,4402098.722024542&#38;WIDTH=525&#38;HEIGHT=461&#38;FORMAT=image/png&#38;STYLES=default&#38;TRANSPARENT=TRUE&#38;I=301&#38;J=160&#38;FEATURE_COUNT=10000&#38;EXCEPTIONS=XML
61&#38;FORMAT=image/png&#38;STYLES=default&#38;TRANSPARENT=TRUE&#38;I=301&#38;J=160&#38;FEATURE_COUNT=10000&#38;EXCEPTIONS=XML
10000&#38;EXCEPTIONS=XML

It can be tested on the "http://www.ign.es/wms-inspire/ign-base" WMS Service.

History
#1 - 12/07/2012 01:47 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.0.0-rc1 to 2.0.0-final

#2 - 12/07/2012 02:22 PM - Joaquín  del Cerro Murciano
- Category set to WMS
- Assignee set to Ignacio Brodín
- Priority changed from Normal to High
- Target version changed from 2.0.0-final to 2.0.0-rc2

#3 - 12/10/2012 06:26 PM - Ignacio Brodín
- Status changed from New to Fixed

gvsig-raster:r1364

#4 - 02/26/2014 12:35 PM - Álvaro Anguix
- Status changed from Fixed to Closed

Files
wms_info_txt.jpg 104 KB 12/03/2012 Víctor Centella Fuster
